# Generated by Django 2.1.1 on 2018-11-20 14:26

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('IndospritCore', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='CashDiscountTransaction',
            fields=[
                ('transaction_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('discount_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('discount_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('days', models.IntegerField(blank=True, default=0, null=True)),
                ('dealer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_by_credit_trans', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='CreditNotes',
            fields=[
                ('credit_note_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('credit_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('description', models.CharField(blank=True, max_length=250, null=True)),
                ('dealer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_by_credit_notes', to=settings.AUTH_USER_MODEL)),
                ('note_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_by_credit_notes', to='IndospritCore.CreditNoteTypeMaster')),
            ],
        ),
        migrations.CreateModel(
            name='OrderAllowanceDetails',
            fields=[
                ('order_allowance_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('sku_code', models.CharField(blank=True, max_length=60, null=True)),
                ('allowance_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('allowance_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('max_allowance_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4, null=True)),
                ('max_allowance_amount', models.IntegerField(blank=True, default=0, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='OrderDetails',
            fields=[
                ('order_detail_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('sku_code', models.CharField(blank=True, max_length=60, null=True)),
                ('product_short_name', models.CharField(blank=True, max_length=250, null=True)),
                ('size_capacity', models.DecimalField(blank=True, decimal_places=2, max_digits=10)),
                ('size_capacity_unit', models.CharField(max_length=5)),
                ('gst_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('sgst_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('cgst_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('other_tax_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('pattern_color', models.CharField(max_length=20)),
                ('product_description_feature', models.CharField(max_length=1000)),
                ('warranty_months', models.IntegerField(blank=True, null=True)),
                ('best_buying_price', models.DecimalField(blank=True, decimal_places=2, max_digits=15)),
                ('dealer_price', models.DecimalField(blank=True, decimal_places=2, max_digits=15, null=True)),
                ('max_retail_price', models.DecimalField(blank=True, decimal_places=2, max_digits=15)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('quantity', models.IntegerField(blank=True, default=0, null=True)),
                ('discount_amount_per_unit', models.IntegerField(blank=True, default=0, null=True)),
                ('discount_percent_per_unit', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('total_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_by_order', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='modified_by_order', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='OrderDispatchDetail',
            fields=[
                ('dispatch_detail_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('sku_code', models.CharField(blank=True, max_length=60, null=True)),
                ('quantity', models.IntegerField(blank=True, default=0, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='OrderDispatchHead',
            fields=[
                ('dispatch_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('dispatched_on', models.DateTimeField()),
                ('dispatched_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dispatched_by_head', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='OrderHead',
            fields=[
                ('order_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('status', models.CharField(choices=[('Draft', 'Draft'), ('Processing', 'Processing'), ('Deleted', 'Deleted'), ('OrderPlaced', 'Order Placed'), ('Reject', 'Reject'), ('On Hold', 'On Hold'), ('Dispatched', 'Dispatched'), ('Delivered', 'Delivered'), ('Partial Dispatched', 'Partial Dispatched')], default='Draft', max_length=30)),
                ('order_number', models.IntegerField(blank=True, default=0, null=True)),
                ('order_date', models.DateTimeField()),
                ('total_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('discount_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('payable_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('brand', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='brand_by_order_head', to='IndospritCore.BrandMaster')),
                ('dealer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_by_order_head', to=settings.AUTH_USER_MODEL)),
                ('sr_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='order_sr', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='OrderSchemeDetailsSellThrough',
            fields=[
                ('order_scheme_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('sku_code', models.CharField(blank=True, max_length=60, null=True)),
                ('scheme_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('scheme_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('scheme_code', models.CharField(blank=True, max_length=250, null=True)),
                ('scheme_name', models.CharField(blank=True, max_length=40, null=True)),
                ('max_scheme_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4, null=True)),
                ('max_scheme_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('order_detail_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='order_detail_by_scheme', to='IndospiritTransactions.OrderDetails')),
                ('order_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='order_id_by_scheme', to='IndospiritTransactions.OrderHead')),
                ('product_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.BrandMaster')),
            ],
        ),
        migrations.CreateModel(
            name='OrderTieUpDetails',
            fields=[
                ('order_tie_up_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('sku_code', models.CharField(blank=True, max_length=60, null=True)),
                ('tie_up_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('tie_up_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('max_tie_up_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4, null=True)),
                ('max_tie_up_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('order_detail_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='order_detail_by_tie_up', to='IndospiritTransactions.OrderDetails')),
                ('order_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='order_id_by_tie_up', to='IndospiritTransactions.OrderHead')),
                ('product_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.BrandMaster')),
            ],
        ),
        migrations.AddField(
            model_name='orderdispatchhead',
            name='order_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='order_id_by_dispatch_head', to='IndospiritTransactions.OrderHead'),
        ),
        migrations.AddField(
            model_name='orderdispatchdetail',
            name='dispatch_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='dispatch_id_by_dispatch_head', to='IndospiritTransactions.OrderDispatchHead'),
        ),
        migrations.AddField(
            model_name='orderdispatchdetail',
            name='warehouse_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='warehouse_by_dispatch_detail', to='IndospritCore.WarehouseMaster'),
        ),
        migrations.AddField(
            model_name='orderdetails',
            name='order_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='order_id_by_detail', to='IndospiritTransactions.OrderHead'),
        ),
        migrations.AddField(
            model_name='orderdetails',
            name='product_id',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='product_by_order', to='IndospritCore.ProductMaster'),
        ),
        migrations.AddField(
            model_name='orderallowancedetails',
            name='order_detail_id',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='order_detail_by_allowance', to='IndospiritTransactions.OrderDetails'),
        ),
        migrations.AddField(
            model_name='orderallowancedetails',
            name='order_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='order_id_by_allowance', to='IndospiritTransactions.OrderHead'),
        ),
        migrations.AddField(
            model_name='orderallowancedetails',
            name='product_id',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.ProductMaster'),
        ),
        migrations.AddField(
            model_name='creditnotes',
            name='order_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='order_id_by_credit_notes', to='IndospiritTransactions.OrderHead'),
        ),
        migrations.AddField(
            model_name='cashdiscounttransaction',
            name='order',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='order_id_by_cash', to='IndospiritTransactions.OrderHead'),
        ),
    ]
